cassandra-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Michael Shuler (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CASSANDRA-12967) Spec for Cassandra RPM Build
Date Mon, 20 Mar 2017 15:02:41 GMT

    [ https://issues.apache.org/jira/browse/CASSANDRA-12967?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15932778#comment-15932778
] 

Michael Shuler commented on CASSANDRA-12967:
--------------------------------------------

{{cqlsh}} requires python-2.7. If that can be satisfied by a savvy user prior to installation,
so the dependency is met, then installation should work. I've tried using "supported" third-party
python-2.7 packages from SCL on CentOS-6.something and it can be excruciatingly painful. My
suggestion would be to just use RHEL/CentOS-7.

> Spec for Cassandra RPM Build
> ----------------------------
>
>                 Key: CASSANDRA-12967
>                 URL: https://issues.apache.org/jira/browse/CASSANDRA-12967
>             Project: Cassandra
>          Issue Type: New Feature
>          Components: Packaging
>            Reporter: Bhuvan Rawal
>            Assignee: Michael Shuler
>             Fix For: 2.1.17, 2.2.9, 3.0.11, 3.10, 4.0
>
>
> Currently there is no RPM packaging for cassandra community. We tried creating a RPM
build for cassandra 3.0.9 using cassandra spec found in https://github.com/riptano/cassandra-rpm,
but we found some incompatibilities as the spec was meant for 2.X versions. 
> It would be great to have a community RPM build for cassandra, with the recommended cassandra
recommendations and tools.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message